/*
 * ModelTabulky.java
 *
 * Created on 23. duben 2006, 10:58
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.vse.xkucf03.webator;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import javax.swing.event.TableModelListener;
import javax.swing.table.TableModel;

/**
 *
 * @author fiki
 */
public class ModelTabulky implements TableModel {
    ArrayList <Radka> list = new ArrayList();
    
    public ModelTabulky() {
    }
    
    public Radka getRadka(int rowIndex) {
        return list.get(rowIndex);
    }
    
    /** Creates a new instance of ModelTabulky */
    public ModelTabulky(ResultSet data) throws SQLException {
        
        while (data.next()) {
            list.add(new Radka(data.getInt(1), data.getString(2), data.getString(3) ));
        }
        
    }
    
    public int getRowCount() {
        return list.size();
    }
    
    public int getColumnCount() {
        return 3;
    }
    
    public String getColumnName(int columnIndex) {
        if (columnIndex == 0) {
            return "Pořadí";
        }
        
        if (columnIndex == 1) {
            return "Nadpis";
        }
        
        if (columnIndex == 2) {
            return "Text";
        }
        
        return  "";
    }
    
    public Class<?> getColumnClass(int columnIndex) {
        
        if (columnIndex == 0) {
            return Integer.class;
        }
        
        if (columnIndex == 1) {
            return String.class;
        }
        
        if (columnIndex == 2) {
            return String.class;
        }
        
        return  null;
    }
    
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return false;
    }
    
    public Object getValueAt(int rowIndex, int columnIndex) {
        Radka r = list.get(rowIndex);
        
        if (columnIndex == 0) {
            return r.id;
        }
        
        if (columnIndex == 1) {
            return r.nadpis;
        }
        
        if (columnIndex == 2) {
            return r.text;
        }
        
        return  null;
        
    }
    
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
    }
    
    public void addTableModelListener(TableModelListener l) {
    }
    
    public void removeTableModelListener(TableModelListener l) {
    }
}
