CREATE TABLE stranka (id INTEGER PRIMARY KEY, nadpis VARCHAR, text VARCHAR);
CREATE TABLE parametry (nazev VARCHAR, hodnota VARCHAR);



celaTabulka = spojeni.prepareStatement("SELECT * FROM stranka ORDER BY id ASC");
jednaStranka = spojeni.prepareStatement("SELECT * FROM stranka WHERE id = ?");
vlozitStranku = spojeni.prepareStatement("INSERT INTO stranka VALUES (?, ?, ?)");
aktualizovatStranku = spojeni.prepareStatement("UPDATE stranka SET nadpis = ?, text = ? WHERE id = ?");
smazatStranku = spojeni.prepareStatement("DELETE FROM stranka WHERE id = ?");
smazatParametry = spojeni.prepareStatement("DELETE FROM parametry");
vsechnyParametry = spojeni.prepareStatement("SELECT * FROM parametry");;
ulozParametry = spojeni.prepareStatement("INSERT INTO parametry VALUES (?, ?)");



ulozParametry.setString(1, "titulek");
ulozParametry.setString(2, "Cestopis:");
ulozParametry.executeUpdate();
            
ulozParametry.setString(1, "sablona");
ulozParametry.setString(2, "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n<html>\n<head>\n\t<meta content=\"text/html; charset=UTF-8\" http-equiv=\"content-type\">\n\t<link rel=\"stylesheet\" type=\"text/css\" href=\"#styl#\">\t\n\t<title>#titulek# #nadpis#</title>\t\n</head>\n\n<body>\n\n<h1>#nadpis#</h1>\n\n#text#\n\n\n\n<div class=\"strana\">\nStrana: #strana# / #pocet#\n</div>\n\n<div class=\"navigace\">&nbsp;&nbsp;&nbsp;\n<a href=\"#prvni_soubor#\"> &lt;&lt; Prvn\u00ed</a> |\n<a href=\"#predchozi_soubor#\">&lt; P\u0159edchoz\u00ed</a> |\n<a href=\"#dalsi_soubor#\">Dal\u0161\u00ed &gt;</a> |\n<a href=\"#posledni_soubor#\">Posledn\u00ed &gt;&gt;</a>\n</div>\n\n</body>\n</html>");
ulozParametry.executeUpdate();
                                                                        
ulozParametry.setString(1, "styl");
ulozParametry.setString(2, "styl.css");
ulozParametry.executeUpdate();
                                                                                                                    
ulozParametry.setString(1, "stylCSS");
ulozParametry.setString(2, "body {\n    font-family: Verdana, Arial CE, Arial, Helvetica, sans-serif;\n    background: #ded6a3;\n    margin-top: 32px\n}\n\nh1 {\n    color: #413f30;\n}\n\n.citace {\n    color: blue;\n    padding-left: 64px;\n    padding-right: 64px;\n    font-style: italic;\n}\n\n.navigace {\n   position: absolute;\n   left: 0px;\n   top: 0px;\n   background: green;\n   background-image: url(navigace.gif);\n   width: 100%;\n   height: 32px\n}\n\n.navigace a {\n    color: black;\n}\n\n.strana {\n    text-align: right;\n    margin-top: 10px;\n}\n\n.titulniStrana {\n    text-align: center;\n    color: #413f30;\n    font-style: italic;\n    font-size: 250%\n}");
ulozParametry.executeUpdate();
                                                                                                    
ulozParametry.setString(1, "cesta");
ulozParametry.setString(2, "/tmp/stranky");
ulozParametry.executeUpdate();
                                                                                                                                                                                                                                    
ulozParametry.setString(1, "nazevSouboru");
ulozParametry.setString(2, "strana#cislo#.htm");
ulozParametry.executeUpdate();